﻿    using Android.App;
    using Android.Widget;
    using Android.OS;
    using Syncfusion.Android.Buttons;
    using Android.Views;
    using Android.Graphics;
    using System.Collections.Generic;

namespace SegmentedGettingStarted
{
    [Activity(Label = "SegmentedGettingStarted", MainLauncher = true)]
    public class MainActivity : Activity
    {
        LinearLayout mainLayout;
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            SfSegmentedControl segmentedControl = new SfSegmentedControl(this);
            segmentedControl.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, 300);
            segmentedControl.SelectionTextColor = Color.White;
            segmentedControl.BackColor = Color.Transparent;
            segmentedControl.SegmentHeight = 50;
            segmentedControl.BorderColor = Color.ParseColor("#929292");
            segmentedControl.FontColor = Color.Red;
            segmentedControl.FontSize = 15;
            segmentedControl.SelectionTextColor = Color.Green;
            segmentedControl.SegmentBackgroundColor = Color.Transparent;
            segmentedControl.VisibleSegmentsCount = 4;
            segmentedControl.DisplayMode = SegmentDisplayMode.Text;

            List<SfSegmentItem> clothList = new List<SfSegmentItem>()
            {
                new SfSegmentItem(){Text = "Item 1"},
                new SfSegmentItem(){Text = "Item 2"},
                new SfSegmentItem(){Text = "Item 3"},
            };

            segmentedControl.ItemsSource = clothList;
            segmentedControl.SegmentHeight = 60;
            segmentedControl.SelectionIndicatorSettings = new SelectionIndicatorSettings()
            {
                StrokeThickness = 2
            };

            mainLayout = new LinearLayout(this);
            mainLayout.Orientation = Orientation.Vertical;
            mainLayout.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
            mainLayout.SetBackgroundColor(Color.WhiteSmoke);
            mainLayout.SetPadding(50, 50, 50, 50);
            mainLayout.AddView(segmentedControl);

            SetContentView(mainLayout);
        }
    }
}

